"""
__author__ = '霍格沃兹测试开发学社'
__desc__ = '更多测试开发技术探讨，请访问：https://ceshiren.com/t/topic/15860'
"""
from selenium.webdriver.common.by import By

from page_objects.base_page import BasePage
from utils.log_utils import logger


class HomePage(BasePage):
    """首页"""

    __BTN_ADD_MEMBER = (By.LINK_TEXT, '添加成员')

    def click_add_member_btn(self):
        """点击添加成员"""

        logger.info("点击添加成员按钮")
        self.do_find(*self.__BTN_ADD_MEMBER).click()

        from page_objects.member_page import MemberPage
        return MemberPage(self.driver)