"""
__author__ = '霍格沃兹测试开发学社'
__desc__ = '更多测试开发技术探讨，请访问：https://ceshiren.com/t/topic/15860'
"""
import time

import yaml
from selenium import webdriver
from selenium.webdriver.common.by import By
from selenium.webdriver.support import expected_conditions
from selenium.webdriver.support.wait import WebDriverWait


class TestWeworkOld:

    def setup_class(self):

        # 实例化浏览器
        self.driver = webdriver.Chrome()
        self.driver.implicitly_wait(15)
        self.driver.maximize_window()

        # 登录
        # 1、访问企业微信首页Domain
        self.driver.get("https://work.weixin.qq.com/wework_admin/frame")
        # 2、获取本地的cookie
        with open("../data/cookies.yaml", "r") as f:
            cookies = yaml.safe_load(f)
        # 3、植入cookie
        for ck in cookies:
            self.driver.add_cookie(ck)
        # 4、访问企业微信首页
        self.driver.get("https://work.weixin.qq.com/wework_admin/frame")

    def tear_down(self):
        time.sleep(500)
        # self.driver.quit()

    def test_add_member_old(self):
        # 点击添加成员
        self.driver.find_element(By.LINK_TEXT, '添加成员').click()

        # 填写资料
        self.driver.find_element(By.ID, "username").send_keys("毛毛同学自动化")
        self.driver.find_element(By.ID, "memberAdd_acctid").send_keys("8997826418242")
        self.driver.find_element(By.NAME, "mobile").send_keys("18076238765")

        self.driver.find_element(By.CSS_SELECTOR, ".qui_btn.ww_btn.js_btn_save").click()

        # 断言
        tips_loc = By.ID, 'js_tips'
        WebDriverWait(self.driver, 10, 2).until(
            expected_conditions.visibility_of_element_located(tips_loc)
        )
        tips_text = self.driver.find_element(*tips_loc).text
        assert "保存成功" == tips_text