"""
__author__ = '霍格沃兹测试开发学社'
__desc__ = '更多测试开发技术探讨，请访问：https://ceshiren.com/t/topic/15860'
"""
import pytest
from selenium import webdriver

from page_objects.login_page import LoginPage
from faker import Faker

class TestWeworkPOM:

    def setup_class(self):

        self.wework = LoginPage()

        # 假数据
        fake = Faker('zh_CN')
        self.username = fake.name()
        self.acctid = fake.ssn()
        self.mobile = fake.phone_number()

    def teardown_class(self):
        self.wework.do_quit()

    def test_add_member_pom(self):
        # 点击添加成员
        # 填写资料
        # 断言

        # 链式调用
        result = self.wework\
            .login() \
            .click_add_member_btn()\
            .fill_out_info(self.username, self.acctid, self.mobile)\
            .get_tips()

        # 断言
        assert "保存成功" == result