"""
__author__ = '霍格沃兹测试开发学社'
__desc__ = '更多测试开发技术探讨，请访问：https://ceshiren.com/t/topic/15860'
"""
from selenium.webdriver.common.by import By
from selenium.webdriver.support import expected_conditions
from selenium.webdriver.support.wait import WebDriverWait

from page_objects.base_page import BasePage
from utils.log_utils import logger


class ContactPage(BasePage):
    """通讯录列表页面"""

    __TIPS = By.ID, 'js_tips'

    def get_tips(self):
        """获取冒泡消息"""
        logger.info("获取冒泡消息")
        tips_loc = By.ID, 'js_tips'
        self.wait_ele_until_visible(tips_loc)
        tips_text = self.driver.find_element(*tips_loc).text

        return tips_text